---
description: Customize your profile, set up additional security, or delete your vault
---

# Vault Settings

You can access your vault settings from one of these 3 places:

<div>

<figure><img src="../../.gitbook/assets/Captura desde 2024-08-09 11-05-47.png" alt="" width="323"><figcaption></figcaption></figure>

 

<figure><img src="../../.gitbook/assets/image.png" alt="" width="375"><figcaption></figcaption></figure>

 

<figure><img src="../../.gitbook/assets/image (3).png" alt="" width="375"><figcaption></figcaption></figure>

</div>

## Profile

Here you can add your **name, bio,** and **profile picture.** Your profile represents an Object in your Anytype Graph which you can freely link to other Objects.

<figure><img src="../../.gitbook/assets/Screenshot 2023-08-17 at 18.24.27.png" alt=""><figcaption></figcaption></figure>

## Preferences

<figure><img src="../../.gitbook/assets/image (6).png" alt=""><figcaption></figcaption></figure>

### Language & Spelling

**Spellcheck Languages:** You can enable automatic spellcheck from 40+ languages, or disable the spellcheck.

**Interface Language:** You can choose amongst the community-translated versions to localize your interface.

### Editor Personalization&#x20;

**Show Quick-capture menu on:** You can decide how you want the new capture menu to work (click, hover, or right-click).

**Link to object style:** You can decide which style should the /link command use by default (either card or text).

**Open objects in fullscreen:** You can decide whether you want all objects to be opened in fullscreen by default.

**Display relative dates:** You can decide whether you want relative dates like today / tomorrow to be used, or whether you want all dates to show the exact date.

### App Appearance

**Automatically show and hide sidebar:** With this option disabled the sidebar won't automatically pop out when you hover over the left side of the screen.

**Sidebar mode:** Choose if you want your spaces to be shown alongside the widgets in the sidebar.

**Show Anytype in system tray:** Anytype will always stay running in the background, but you have the option to either have it show in the system tray or not.

**Show menu bar:** This setting will show the default menu bar for your OS.

### Color mode

**Set color mode:** Choose between light, dark or system color modes.

## Pin Code (Desktop)

If you want more privacy, like when sharing a computer, you can set up a PIN code. This will lock the app and keep your Key safe. You'll just need to enter the PIN each time your Anytype session ends (after 1 minute, 5 minutes, 10 minutes, or 1 hour) or when you need to access your Key.

{% hint style="warning" %}
We do not store this data so we cannot help you in recovering your vault in the case it is lost. Make sure to write down your pin code next to your Key.
{% endhint %}

<figure><img src="../../.gitbook/assets/image (67).png" alt=""><figcaption></figcaption></figure>

## Spaces

You can also manage all of your spaces by going into `Settings > Spaces`.

## Data Management

**Local Files:** You can choose to offload files stored in Anytype to our Encrypted Backup Node.

**Data Location:** You can also decide where your data is stored (desktop only).

**Vault Deletion:** Also, if you would like to delete your vault, you can do it in this section.

## Key

You can access your Key or scan the QR code to connect your mobile device. For more details, please check [what-is-a-recovery-phrase.md](../../data-and-security/what-is-a-recovery-phrase.md "mention").

## Membership

You can manage your [membership](../../memberships/monetization/) plans here.
