---
description: How do we customize and edit?
---

# Sidebar & Widgets

Your sidebar is comprised of customizable widgets which allow you to preview and navigate your Objects.

By default, your sidebar includes widgets which link to your [Library](../anytype-library.md) and Bin.

In general, _any_ object you've created using Anytype's editor can be used as a widget and formatted using link or tree view. Sets and Collections - Objects in and of themselves - can be used as widgets with a list of objects contained therein.

Additionally, Anytype provides several options for _non-object_ widgets which you can add or remove from your sidebar, including:

* Favorites: All objects which you've starred as a favorite, regardless of object type
* Sets: All Set-type objects
* Collections: All Collection-type objects
* Recently edited: Your recently edited objects (globally synced across devices)
* Recently opened: Your recently opened objects (device-specific)

{% content-ref url="../../use-cases/simple-dashboard.md" %}
[simple-dashboard.md](../../use-cases/simple-dashboard.md)
{% endcontent-ref %}

### Space Sidebar

We've also recently added a new sidebar that allows you to quickly access any of your spaces.

<figure><img src="../../.gitbook/assets/6b445a809efbd412d62e452d483491e11811bf1a.jpeg" alt=""><figcaption></figcaption></figure>

### Customize your Sidebar Widgets

At the bottom of your sidebar you'll find an "Edit widgets" button, which upon clicking will reveal options to add or remove widgets from your sidebar.

Clicking "Add" will give you the choice to choose your widget source. Again, a widget source can be any object you've previously created or the list of widget options above.

On desktop, you can also drag & drop objects directly into the sidebar.

### Adjust your Widget Appearance

Depending on the widget source, you can choose from a variety of layouts.

It is possible to view widgets sourced from a single Object created in the editor (Pages, Notes, etc.) as a 'link' or a 'tree'. A link widget displays only the object name, whereas a tree widget displays all of objects connected to the source object by first and second-degree connections.

<figure><img src="../../.gitbook/assets/Screenshot 2023-08-18 at 09.01.31.png" alt=""><figcaption><p>Above, 'the 'Self' widget is displayed using tree view whereas the 'Home' widget is displayed using link view.</p></figcaption></figure>

When creating widgets from sets and collections on the other hands, you'll see the view options of 'List' or 'Compact list'. Both render a preview of objects contained within the given set/collection, with differences in line spacing and description previews.

<figure><img src="../../.gitbook/assets/Screenshot 2023-08-18 at 09.08.53 (1).png" alt=""><figcaption><p>Above, the 'Disco Room' widget displayed as a compact list (top) and list (bottom).</p></figcaption></figure>

You can now also simply choose View in the widget view settings for your widget to follow the Set view layout. Currently supported layouts are: Calendar, Kanban, and Gallery (Graph is coming soon!). &#x20;

<figure><img src="../../.gitbook/assets/e470b74a31cba9b89fb8f3f4adeadb22149b3a92.jpeg" alt=""><figcaption></figcaption></figure>

### Mobile Widgets

#### Organizing your widgets

When you open up Anytype on your mobile device you will see your current **Widgets** along with 3 navigation options at the bottom.

Your **widgets** are customizable in the same way they are in the sidebar of your desktop application.

To edit and move around your widgets: scroll to the bottom of the list, underneath the Bin you'll find "Edit Widgets".

When you click the button, you'll see a small grey minus sign on the corner of each block. Now you can delete, add, or rearrange your widgets.

#### Using Widgets

The best way to customize and optimize your mobile usage of Anytype, widgets are your best friend.

Setting up your widgets for mobile allows you to create quick access and manage your preferred objects to visit.

Add specific Objects to the top for quick access.

Add Sets to your widgets, like task managers for a quick view of what's next to do.
